View Issue Details

IDProjectCategoryView StatusLast Update
0001158VariiSpace[All Projects] Generalpublic2017-05-08 16:12
ReporterXenosAssigned ToXenos 
PrioritynormalSeverityfeatureReproducibilityN/A
Status CloseResolutionfixed 
Product Version1.0.0-a.0 
Target VersionFixed in Version0.1.0 
Summary0001158: Permettre aux joueurs de construire les vaisseaux
DescriptionLe joueur a des plans de vaisseaux, mais il faut maintenant qu'il puisse les créer. Pour cela, il faudra que le joueur ai un vaisseau avec au moins un module de construction. Je veux que la construction de vaisseau soit instantanée. Il faudra donc que je fixe des règles pour la construction (genre, un vaisseau avec un module de construction ne peut faire que des vaisseaux de moins de X kg ou de moins de V mètres cubes, et plus un vaisseau a de modules de construction, plus il peut faire des vaisseaux lourds) etc.

Il n'y aura pas d'autre condition pour construire un vaisseau (pour l'instant): on n'aura pas besoin de ressources pour fabriquer son vaisseau, juste les conditions de taille/masse etc.

Le truc essentiel de ce ticket est en fait de pouvoir indiquer qu'un vaisseau se trouve dans l'orbite de telle objet céleste (osef de son altitude, de sa vitesse, ou de savoir si ce vaisseau peut être là ou si c'est physiquement impossible)
TagsNo tags attached.
Attach Tags

Relationships

related to 0001541 CloseXenostom La page de visualisation d'un OC fait trop de trucs 
parent of 0001155 CloseXenos Pouvoir assembler les modules en vaisseaux 
parent of 0001153 CloseXenos Créer le système de compte de jeu, avec la vue associée 
parent of 0001152 CloseXenos Créer la vue navigable des objets célestes 
child of 0001159 CloseXenostom Mécanisme d'arrivée des nouveaux joueurs 
child of 0001160 CloseXenos Pouvoir déplacer ses vaisseaux d'un OC à l'autre 
child of 0001161 CloseXenostom Ajouter une vue des vaisseaux en orbite 

Activities

Xenos

Xenos

2016-08-18 22:41

administrator   ~0002154

Rollback de ce ticket car la structure générale (archi de "Common") a changée. Il va donc falloir faire le plus progressif possible, avec une release dans les plus brefs délais (en "lecture seul", comme pour ECLERD).
Xenos

Xenos

2016-08-28 18:46

administrator   ~0002195

A refaire car j'ai viré cela lors de la release primale.
Xenos

Xenos

2017-05-08 16:12

administrator   ~0003255

Je n'ai pas mis de condition de masse, de volume ou de vitesse orbitale. Ce sera peut-être rajouté par la suite.

Issue History

Date Modified Username Field Change
2016-04-24 21:38 Xenos New Issue
2016-04-24 21:38 Xenos Status New => Accepted
2016-04-24 21:41 Xenos Description Updated View Revisions
2016-04-24 21:53 Xenos Relationship added child of 0001159
2016-04-24 21:53 Xenos Relationship added parent of 0001155
2016-04-24 21:53 Xenos Relationship added parent of 0001153
2016-04-24 21:53 Xenos Relationship added parent of 0001152
2016-04-24 21:53 Xenos Relationship added child of 0001160
2016-04-24 21:54 Xenos Relationship added child of 0001161
2016-04-24 21:54 Xenos Relationship added child of 0001162
2016-06-05 17:45 Xenos Assigned To => Xenos
2016-06-05 17:45 Xenos Status Accepted => In progress
2016-06-05 19:43 Xenos Relationship added related to 0001541
2016-06-05 20:15 Xenos Status In progress => Ready
2016-06-05 20:15 Xenos Resolution open => fixed
2016-08-18 22:41 Xenos Status Ready => Accepted
2016-08-18 22:41 Xenos Note Added: 0002154
2016-08-27 19:39 AutoUpdater Status Accepted => Resolved
2016-08-27 19:40 AutoUpdater Fixed in Version => 0.1.0
2016-08-28 18:46 Xenos Note Added: 0002195
2016-08-28 18:46 Xenos Status Resolved => Understood
2017-04-01 21:43 Xenos Relationship deleted child of 0001162
2017-05-08 16:12 Xenos Status Understood => Close
2017-05-08 16:12 Xenos Note Added: 0003255